Bug 67572 - korganizer and kalarmd have huge memory leak in kde 3.0.0, which supposedly is fixed in 3.0.1
korganizer and kalarmd have huge memory leak in kde 3.0.0, which supposedly i...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdepim (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-27 12:58 EDT by Nicolas Bock
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-25 15:58:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Bock 2002-06-27 12:58:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020605

Description of problem:
When running kde with an open korganizer session, the korganizer and kalarmd
tasks consume more and more memory. This memory leak is very severe and the only
workaround I found so far is to leave the kde session entirely and to log out.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Load fairly large calendar file into korganizer
2.wait
3.check memory footprint with ps
	

Actual Results:  memory footprints of korganizer and kalarmd grow in time and
eventually get so big that the current kde session has to be terminated to free
up the memory

Expected Results:  That shouldn't happen.

Additional info:
Comment 1 Ngo Than 2002-10-07 09:47:23 EDT
It should be fixed in 3.0.3

Note You need to log in before you can comment on or make changes to this bug.